{
    "name": "@cryptexlabs/codex-nodejs-common",
    "version": "0.5.4",
    "description": "Common code for Assistant applications",
    "main": "lib/src/index.js",
    "repository": "git@gitlab.com:cryptexlabs/public/codex-nodejs-common.git",
    "author": "Cryptex Labs",
    "license": "Apache-2.0",
    "private": false,
    "types": "lib/src/index.d.ts",
    "maintainers": [
        "Josh Woodcock <josh.woodcock@cryptexlabs.com>"
    ],
    "peerDependencies": {
        "@cryptexlabs/codex-data-model": "0.1.3"
    },
    "dependencies": {
        "@elastic/elasticsearch": "8.2.1",
        "@nestjs/common": "8.0.6",
        "@nestjs/core": "8.0.6",
        "@nestjs/elasticsearch": "8.1.0",
        "@nestjs/platform-socket.io": "8.0.6",
        "@nestjs/platform-ws": "8.0.6",
        "@nestjs/swagger": "5.0.9",
        "@nestjs/websockets": "8.0.6",
        "@types/express": "4.17.8",
        "@types/express-serve-static-core": "4.17.24",
        "@types/i18n": "0.12.0",
        "@types/joi": "14.3.4",
        "@types/jsonwebtoken": "8.5.5",
        "@types/node": "16.11.7",
        "dotenv": "8.2.0",
        "express": "4.17.1",
        "fastq": "1.13.0",
        "glob": "7.2.0",
        "i18n": "0.13.2",
        "install-peers-cli": "2.2.0",
        "joi": "17.3.0",
        "js-yaml": "3.14.1",
        "jsonwebtoken": "8.5.1",
        "kafkajs": "2.2.0",
        "randomstring": "1.2.1",
        "reflect-metadata": "0.1.13",
        "rxjs": "7.5.7",
        "uuid": "8.3.2"
    },
    "devDependencies": {
        "@nestjs/testing": "8.0.6",
        "@types/jest": "27.0.1",
        "@types/js-yaml": "3.12.5",
        "@types/supertest": "2.0.10",
        "@types/uuid": "8.3.1",
        "husky": "4.3.6",
        "jest": "28.1.0",
        "nodemon": "2.0.6",
        "prettier": "2.2.1",
        "rimraf": "3.0.2",
        "supertest": "6.0.1",
        "ts-jest": "28.0.2",
        "ts-loader": "8.0.12",
        "ts-mockito": "2.6.1",
        "ts-node": "9.1.1",
        "tsconfig-paths": "3.9.0",
        "tslint": "6.1.3",
        "typescript": "4.1.3"
    },
    "scripts": {
        "lint": "tslint -p tsconfig.json -c tslint.json",
        "build": "rimraf lib/src && tsc",
        "clean": "rm -rf lib/*",
        "git:add": "git add .",
        "prettier": "prettier --check '{src,test}/**/*.{js,ts,md}'",
        "prettier:fix": "prettier --write '{src,test}/**/*.{js,ts,md}'",
        "test": "jest",
        "postinstall": "install-peers || true"
    },
    "resolutions": {
        "axios": "0.19.0",
        "**/undici": "5.0.0"
    },
    "husky": {
        "hooks": {
            "pre-commit": "yarn prettier && yarn lint && yarn test && yarn build"
        }
    },
    "jest": {
        "moduleFileExtensions": [
            "js",
            "json",
            "ts"
        ],
        "rootDir": "src",
        "testRegex": ".spec.ts$",
        "transform": {
            ".+\\.(t|j)s$": "ts-jest"
        },
        "coverageDirectory": "../coverage",
        "testEnvironment": "node"
    },
    "i18n": {
        "languages": [
            "eng-US"
        ]
    }
}
